import json
import io

class Point:
# A point representing a location in (x,y) coordinate space, specified in integer precision.

	def __init__(self, loc_x, loc_y):
	#Constructs and initializes a point at the specified (x,y) location in the coordinate space.
		self.x = loc_x
		self.y = loc_y

	def __str__(self):
		return '(' + str(self.x) + ',' + str(self.y) + ')'

	def __repr__(self):
		return 'Point({0}, {1})'.format(self.x, self.y)

def write(data, filename):
#Write a point to a file
	file = open(filename, 'w')
	str_out = json.dumps(data,sort_keys=True,indent=4)
	file.write(str_out)
	file.close()

def read(filename):
#Read a point from a file
	file = open(filename)
	str_in = file.read()
	file.close()
	data = json.loads(str_in)
	return data


p = Point(2, 3)
file_name = 'test_point.txt'
my_dict = {'__class__': 'Point', 'x' : p.x, 'y' : p.y}
write(my_dict, file_name)


#read from a file
data = read(file_name)
result = Point( data['x'], data['y'] )
print (result)